DEVINFO(8)

NAME
devinfo - print information about system device configuration

SYNOPSIS
devinfo [--libxo] [-rv]
devinfo [--libxo] -p dev [-v]
devinfo [--libxo] -u [-v]

DESCRIPTION
The devinfo utility, without any arguments, shows the hierarchy of devices available in the system, starting from the “nexus” device.

The following options are accepted:

--libxo
    Generate output via libxo(3) in a selection of different human and machine readable formats. See xo_options(7) for details on command line arguments.

-p dev
    Display the path of dev back to the root of the device tree.

-r  Causes hardware resource information (such as IRQ, I/O ports, I/O memory addresses) to be also listed, under each device that has reserved those resources.

-u  Displays the same information as with -r but sorts by resource type rather than by device, allowing to review the set of system resources by usage and available resources. I.e., it lists all the IRQ consumers together.

-v  Display all devices in the driver tree, not just those that are attached or busy. Without this flag, only those devices that have attached are reported. This flag also displays verbose information about each device.

SEE ALSO
systat(1), devinfo(3), libxo(3), xo_options(7), devctl(8), iostat(8), pciconf(8), vmstat(8), devclass(9), device(9)

HISTORY
The devinfo utility appeared in FreeBSD 5.0.

AUTHORS
Mike Smith <msmith@FreeBSD.org>